Bug 867861 - rhevm-installation: default cluster which i was not using remained in 2.2 compatibility on setup upgraded from 2.2 -> 3.0 -> 3.1
rhevm-installation: default cluster which i was not using remained in 2.2 com...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.0.7
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Alex Lourie
Ilanit Stein
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 08:55 EDT by Dafna Ron
Modified: 2012-12-23 06:31 EST (History)
8 users (show)

See Also:
Fixed In Version: si24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-23 06:31:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (24.99 KB, application/x-gzip)
2012-10-18 08:55 EDT, Dafna Ron
no flags Details
log (23.88 KB, application/x-xz)
2012-10-22 12:32 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-10-18 08:55:29 EDT
Created attachment 629359 [details]
logs

Description of problem:

I had a 2.2 setup which I upgraded to 3.0 and than to si20. 
now when I wanted to upgrade to si21 I got the following error: 

Error: a data center or cluster version 2.2 were found on the system.
Such upgrade flow is not supported. Upgrade all 2.2 data centres and clusters and rerun the upgrade utility.

the upgrade from 3.0 to 3.1 did not show any 2.2 DC's in the setup. 

Version-Release number of selected component (if applicable):

3.0 to si20 -> si21

How reproducible:


Steps to Reproduce:
1. import unused default cluster 2.2 to 3.0 
2. upgrade 3.0 to 3.1 si20 
3. upgrade si20 to si21
  
Actual results:

upgrade from 3.0 to 3.1 will allow the upgrade of default DC of 2.2 when its unused

Expected results:

we should either fail the upgrade or change unused DC's to 3.1 automatically on upgrade. 


Additional info: both install logs

engine=# SELECT * from vds_groups;
             vds_group_id             |  name   |        description         |      cpu_name       |         _create_date          |         _update_date          | selection_a
lgorithm | high_utilization | low_utilization | cpu_over_commit_duration_minutes | hypervisor_type |           storage_pool_id            | max_vds_memory_over_commit | compati
bility_version | transparent_hugepages | migrate_on_error | virt_service | gluster_service 
--------------------------------------+---------+----------------------------+---------------------+-------------------------------+-------------------------------+------------
---------+------------------+-----------------+----------------------------------+-----------------+--------------------------------------+----------------------------+--------
---------------+-----------------------+------------------+--------------+-----------------
 f49e9d83-ce5d-419e-aa93-d38a872991fc | Default | The default server cluster |                     | 2012-10-03 02:01:12.217+02    |                               |            
       0 |               75 |               0 |                                2 |               0 | e266c244-cbb5-45ba-82eb-8efcd8fcda1b |                        100 | 2.2    
               | f                     |                1 | t            | f
 6958ad66-4a2c-4849-81c8-ddaef98abf16 | iSCSI   |                            | Intel Conroe Family | 2012-10-03 02:28:33.147+02    | 2012-10-10 15:14:52.546029+02 |            
       0 |               -1 |              -1 |                                2 |               0 | 11d18980-5c97-40ca-b7ff-6d1fa0f01cc8 |                        100 | 3.1    
               | t                     |                1 | t            | f
 6bc5fa04-15db-11e2-9617-001a4a16971d | TEST    |                            | Intel Conroe Family | 2012-10-14 10:44:52.465668+02 |                               |            
       0 |               -1 |              -1 |                                2 |               0 |                                      |                        100 | 3.1    
               | t                     |                1 | t            | f
 576c44f4-15f5-11e2-8ce1-001a4a16971d | TEST1   |                            | Intel Conroe Family | 2012-10-14 13:50:25.241722+02 |                               |            
       0 |               -1 |              -1 |                                2 |               0 |                                      |                        100 | 3.1    
               | t                     |                1 | t            | f
 d3a19250-1603-11e2-8063-001a4a16971d | TESTI   |                            | Intel Conroe Family | 2012-10-14 15:34:06.582785+02 |                               |            
       0 |               -1 |              -1 |                                2 |               0 |                                      |                        100 | 3.1    
               | t                     |                1 | t            | f
 f5cca688-176d-11e2-b062-001a4a16971d | NFS     |                            | Intel Conroe Family | 2012-10-16 10:46:21.716614+02 | 2012-10-16 17:28:16.289784+02 |            
       0 |               -1 |              -1 |                                2 |               0 | 4a1b59d1-b985-4ba7-9fa9-1abacc6fb044 |                        100 | 3.1    
               | t                     |                1 | t            | f
(6 rows)
Comment 1 Itamar Heim 2012-10-18 17:05:02 EDT
this was supposed to be fixed in bug 799707.
dafna, upgrade from si20 to si21 should not validate existence of 2.2 cluster. only upgrade from 3.0 to 3.1 should.

so the question is why si20 didn't validate, but it is only interesting if si21 which had more upgrade fixes will allow you to reproduce upgrading with a 2.2 cluster in the system (directly from a 3.0).
Comment 2 Dafna Ron 2012-10-22 12:31:36 EDT
I upgraded a 3.0 setup to si21.1 when I had a 2.2 DC and cluster the upgrade succeeded without 2.2 DC check. I will attach full upgrade log

as you can see we have a DC called test and its 2.2: 

engine=# SELECT * from vds_groups;
             vds_group_id             |  name   |        description         |       cpu_name       |         _create_date          | _update_date | selection_algorithm | high_utilization | low_utilization | cpu_over_commit_duration_min
utes | hypervisor_type |           storage_pool_id            | max_vds_memory_over_commit | compatibility_version | transparent_hugepages | migrate_on_error | virt_service | gluster_service 
--------------------------------------+---------+----------------------------+----------------------+-------------------------------+--------------+---------------------+------------------+-----------------+-----------------------------
-----+-----------------+--------------------------------------+----------------------------+-----------------------+-----------------------+------------------+--------------+-----------------
 52819d48-1c55-11e2-a06c-001a4a169741 | test    |                            | Intel Xeon w/o XD/NX | 2012-10-22 16:32:35.650555+02 |              |                   0 |               -1 |              -1 |                             
   2 |               0 | e5d2ef49-923d-472b-8bbc-e7130335636b |                        100 | 2.2                   | f                     |                1 | t            | f
 f9dda924-1c55-11e2-9c59-001a4a169741 | iSCSI   |                            | Intel Conroe Family  | 2012-10-22 16:37:16.438216+02 |              |                   0 |               -1 |              -1 |                             
   2 |               0 | 1167fe48-4788-486d-876b-f8261ede6c23 |                        100 | 3.0                   | t                     |                1 | t            | f
 80e03662-1c5b-11e2-917b-001a4a169741 | Local   |                            | AMD Opteron G2       | 2012-10-22 17:16:50.431351+02 |              |                   0 |               -1 |              -1 |                             
   2 |               0 | 6deddd6c-9c88-44c9-bf09-12f4d4b6f428 |                        100 | 3.0                   | t                     |                1 | t            | f
 99408929-82cf-4dc7-a532-9d998063fa95 | Default | The default server cluster |                      | 2012-10-22 15:49:33.642722+02 |              |                   0 |               75 |               0 |                             
   2 |               0 | 4f81e5e0-1c4f-11e2-bad6-001a4a169741 |                        100 | 3.0                   | t                     |                1 | t            | f
Comment 3 Dafna Ron 2012-10-22 12:32:37 EDT
Created attachment 631632 [details]
log
Comment 9 Ilanit Stein 2012-12-18 03:17:24 EST
Verified on ic158.2 to si25.1:

Upgrade indeed fail when there is a 2.2 datacenter/cluster on the 3.0 setup:

Error: a data center or cluster version 2.2 were found on this system.
Such upgrade flow is not supported. Upgrade all 2.2 data centers and clusters and rerun the upgrade utility.

Error: Upgrade failed.

Note You need to log in before you can comment on or make changes to this bug.